]> arthur.barton.de Git - bup.git/commitdiff
init-cmd: copy to bup.cmd.init
authorRob Browning <rlb@defaultvalue.org>
Mon, 8 Feb 2021 04:09:54 +0000 (22:09 -0600)
committerRob Browning <rlb@defaultvalue.org>
Sat, 6 Mar 2021 18:29:38 +0000 (12:29 -0600)
Signed-off-by: Rob Browning <rlb@defaultvalue.org>
lib/bup/cmd/init.py [new file with mode: 0755]
lib/cmd/init-cmd.py [deleted file]

diff --git a/lib/bup/cmd/init.py b/lib/bup/cmd/init.py
new file mode 100755 (executable)
index 0000000..2dff056
--- /dev/null
@@ -0,0 +1,49 @@
+#!/bin/sh
+"""": # -*-python-*-
+# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
+export "BUP_ARGV_0"="$0"
+arg_i=1
+for arg in "$@"; do
+    export "BUP_ARGV_${arg_i}"="$arg"
+    shift
+    arg_i=$((arg_i + 1))
+done
+# Here to end of preamble replaced during install
+bup_python="$(dirname "$0")/../../../config/bin/python" || exit $?
+exec "$bup_python" "$0"
+"""
+# end of bup preamble
+
+from __future__ import absolute_import
+
+# Intentionally replace the dirname "$0" that python prepends
+import os, sys
+sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/../..'
+
+from bup import compat, git, options, client
+from bup.helpers import log, saved_errors
+from bup.compat import argv_bytes
+
+
+optspec = """
+[BUP_DIR=...] bup init [-r host:path]
+--
+r,remote=  remote repository path
+"""
+o = options.Options(optspec)
+opt, flags, extra = o.parse(compat.argv[1:])
+
+if extra:
+    o.fatal("no arguments expected")
+
+
+try:
+    git.init_repo()  # local repo
+except git.GitError as e:
+    log("bup: error: could not init repository: %s" % e)
+    sys.exit(1)
+
+if opt.remote:
+    git.check_repo_or_die()
+    cli = client.Client(argv_bytes(opt.remote), create=True)
+    cli.close()
diff --git a/lib/cmd/init-cmd.py b/lib/cmd/init-cmd.py
deleted file mode 100755 (executable)
index e2ddeaa..0000000
+++ /dev/null
@@ -1,49 +0,0 @@
-#!/bin/sh
-"""": # -*-python-*-
-# https://sourceware.org/bugzilla/show_bug.cgi?id=26034
-export "BUP_ARGV_0"="$0"
-arg_i=1
-for arg in "$@"; do
-    export "BUP_ARGV_${arg_i}"="$arg"
-    shift
-    arg_i=$((arg_i + 1))
-done
-# Here to end of preamble replaced during install
-bup_python="$(dirname "$0")/../../config/bin/python" || exit $?
-exec "$bup_python" "$0"
-"""
-# end of bup preamble
-
-from __future__ import absolute_import
-
-# Intentionally replace the dirname "$0" that python prepends
-import os, sys
-sys.path[0] = os.path.dirname(os.path.realpath(__file__)) + '/..'
-
-from bup import compat, git, options, client
-from bup.helpers import log, saved_errors
-from bup.compat import argv_bytes
-
-
-optspec = """
-[BUP_DIR=...] bup init [-r host:path]
---
-r,remote=  remote repository path
-"""
-o = options.Options(optspec)
-opt, flags, extra = o.parse(compat.argv[1:])
-
-if extra:
-    o.fatal("no arguments expected")
-
-
-try:
-    git.init_repo()  # local repo
-except git.GitError as e:
-    log("bup: error: could not init repository: %s" % e)
-    sys.exit(1)
-
-if opt.remote:
-    git.check_repo_or_die()
-    cli = client.Client(argv_bytes(opt.remote), create=True)
-    cli.close()